{ lib, ... }:
let
  inherit (lib) mkOption;
  inherit (lib.types) nullOr str;
in
{
  options.modules.meta = {
    hostname = mkOption {
      default = null;
      type = nullOr str;
      description = "The system's hostname.";
    };
  };
}
